Unfreeze the card account
curl --request POST \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/unfreeze \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/unfreeze"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/unfreeze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_account_id": "<string>",
"initiator": "developer",
"reason": "lost_or_stolen",
"created_at": "<string>",
"status": "freeze_removed",
"reason_detail": "<string>",
"starting_at": "<string>",
"ending_at": "<string>"
}Cards
Unfreeze the card account
Remove the freeze on the card account placed by the specified initiator
POST
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
/
unfreeze
Unfreeze the card account
Authorizations
Headers
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Body
application/json
A request to unfreeze the card account
The party of the freeze to be removed
Available options:
developer, customer Response
The successfully removed freeze
Card unfreeze response
Card account ID
Required string length:
1 - 42Pattern:
[a-z0-9]*The initiator of the removed freeze
Available options:
developer, customer The reason of the removed freeze
Available options:
lost_or_stolen, suspicious_activity, planned_inactivity, suspected_fraud, other The creation time of the removed freeze, in ISO8601 format
The processing status of the unfreeze request
Available options:
freeze_removed The reason detail of the removed freeze
The start time of the removed freeze, in ISO8601 format
The end time of the removed freeze, in ISO8601 format
Was this page helpful?